# FreeType-2.3.1 API Reference

# FreeType Version

## Synopsis

| FREETYPE_XXX |  | FT_Library_Version |  |

Note that those functions and macros are of limited use because even a new release of FreeType with only documentation changes increases the version number.

#### FREETYPE_XXX

    #define FREETYPE_MAJOR  2
    #define FREETYPE_MINOR  3
    #define FREETYPE_PATCH  1

These three macros identify the FreeType source code version. Use FT_Library_Version to access them at runtime.

values

FREETYPE_MAJOR | The major version number.
FREETYPE_MINOR | The minor version number.
FREETYPE_PATCH | The patch level.

note
The version number of FreeType if built as a dynamic link library with the ‘libtool’ package is not controlled by these three macros.

[Index] |  | [TOC]

#### FT_Library_Version

      FT_EXPORT( void )
      FT_Library_Version( FT_Library   library,
                          FT_Int      *amajor,
                          FT_Int      *aminor,
                          FT_Int      *apatch );

Return the version of the FreeType library being used. This is useful when dynamically linking to the library, since one cannot use the macros FREETYPE_MAJOR, FREETYPE_MINOR, and FREETYPE_PATCH.

input

library | A source library handle.

output

amajor | The major version number.
aminor | The minor version number.
apatch | The patch version number.

note
The reason why this function takes a ‘library’ argument is because certain programs implement library initialization in a custom way that doesn't use FT_Init_FreeType. In such cases, the library version might not be available before the library object has been created.

[Index] |  | [TOC]